#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Backport of PEP 654 (exception groups)
Summary(pl.UTF-8):	Backport PEP 654 (grup wyjątków)
Name:		python3-exceptiongroup
Version:	1.3.0
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/exceptiongroup/
Source0:	https://files.pythonhosted.org/packages/source/e/exceptiongroup/exceptiongroup-%{version}.tar.gz
# Source0-md5:	85af34d4754844f5becff4fb0f9f87e2
URL:		https://pypi.org/project/exceptiongroup/
BuildRequires:	python3-build
BuildRequires:	python3-flit_scm
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest >= 6
%if "%{_ver_lt %{py3_ver} 3.13}" != "1"
BuildRequires:	python3-typing_extensions >= 4.6.0
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a backport of the BaseExceptionGroup and ExceptionGroup
classes from Python 3.11.

%description -l pl.UTF-8
Ten pakiet to backport klas BaseExceptionGroup i ExceptionGroup z
Pythona 3.11.

%prep
%setup -q -n exceptiongroup-%{version}

%build
%py3_build_pyproject

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH=$(pwd)/src \
%{__python3} -m pytest tests
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE README.rst
%{py3_sitescriptdir}/exceptiongroup
%{py3_sitescriptdir}/exceptiongroup-%{version}.dist-info
%changelog
* Sat Jul 05 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-exceptiongroup.git;a=log;h=master

* Sat Jul 05 2025 Jakub Bogusz <qboosh@pld-linux.org> 873cbf5
- updated to 1.3.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 7067b39
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 6759574
- python 3.13 rebuild

* Sat Jan 14 2023 Jakub Bogusz <qboosh@pld-linux.org> 2053f8a
- new

